import type { MjFormInputRenderOpts } from '.'
import type { RenderParams } from '../mj-form-plugin'

import { VxeUI } from 'vxe-table'

import { mj_form_input } from '../mj-table'
import Index from './mj-form-input-plugin.vue'
// 创建一个附件上传渲染器
VxeUI.renderer.add(mj_form_input, {
  // 项显示模板
  renderFormItemContent(renderOpts: any, renderParams: any) {
    return (
      <Index
        renderOpts={renderOpts as MjFormInputRenderOpts}
        renderParams={renderParams as RenderParams}
      />
    )
  },
})
